[mapguide-users] MGOS Postgis FDO Stack

Andre Schoonbee andresch at iway.na
Sun Jul 19 14:36:42 EDT 2009

I have replaced my older notebook with a new one running Vista. I now have
various problems in getting MGOS versions (2.0.1,2.0.2) with
Postgresql/Postgis 8.2 or 8.3. I have tried FDO postgis versions
3.1,3.2,3.3,3.4 and all of then gave me same errors:
The remote server returned an error: (559) MgFdoException.: 
An exception occurred in FDO component.
Unable to load the FDO Provider: (null) 
Exception occurred in method MgFdoConnectionManager.Open at line 262 in file

I am now busy downloading MGOS 2.1 beta to see if it will work, but is it
lately a problem to get MGOS to talk to postgis?

If not, what should the typical version stack be that could work 100%,
because I just about had it.

All installations was made with default settings and default locations. I
also made sure that postgresql / bin directory is within my system path and
that libpg.dll is located in the bin and lib directory for postgresql. I can
connect to postgis and display the point info just fine using qgis.

More information about the mapguide-users mailing list